@echo off

if  x%1 NEQ x (
    rem Command line selection
    set res=%1
) else (
    rem Interactive selection
    echo.
    echo Select KSC tile resolution:
    echo.
    echo [L] low resolution
    echo [H] high resolution
    echo.
    SET /P res="[L|H] >> "
)

if /I %res%==H (
    echo High resolution selected.
    set res=hi
) else (
    if /I %res%==L (
        echo Low resolution selected.
        set res=lo
    ) else (
        echo Invalid selection.
        exit /B
    )
)

for %%i in (3_W0917_N0323 3_W0917_N0324 3_W0917_N0325 3_W0918_N0321 3_W0918_N0322 3_W0918_N0323 3_W0918_N0324 3_W0918_N0326 3_W0919_N0321 3_W0919_N0322 3_W0919_N0323 3_W0919_N0324 3_W0919_N0326 3_W0920_N0321 3_W0920_N0322 3_W0920_N0323 3_W0920_N0324 3_W0920_N0325 3_W0920_N0326 4_W1835_N0650 4_W1835_N0651 4_W1836_N0650 4_W1836_N0651 4_W1837_N0650 4_W1837_N0651) do (
    copy Textures\KSC_tiles\Earth_%%i_%res%.dds Textures\Earth_%%i.dds
)

if /I %res%==hi (
    echo High-resolution KSC surface tiles installed.
) else (
    echo Low-resolution KSC surface tiles installed.
)
echo.
echo To change the resolution back, run the ksc_setres utility in
echo the Orbiter main directory.
echo.
pause